package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MedicationInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-29 16:27
 */
@Repository
public interface MedicationInfoDAO {

    int insert(MedicationInfo entity);
    int update(MedicationInfo entity);
    int exist(String id);
    MedicationInfo get(String id);
    int delete(String id);
    List<MedicationInfo> list();
    List<MedicationInfo> search(Map<String,Object> searchParams, List<Sort> sortList);

    List<MedicationInfo> findByBeRemindPopedomId(String beRemindPopedomId);
}
